Lua Error in Freeswitch

Moderator: areski

Lua Error in Freeswitch

Postby Daniel-Nascimento » Wed Feb 19, 2014 2:24 pm

Hi!

Freeswitch is givin me error on Ubuntu 12.04.4 LTS.

Code: Select all
2014-02-18 15:04:16.657718 [ERR] mod_lua.cpp:199 /usr/share/newfies-lua/libs/fsm_callflow.lua:18: module 'loop.simple' not found:
no field package.preload['loop.simple']
no file '/usr/local/share/lua/5.2/loop/simple.lua'
no file '/usr/local/share/lua/5.2/loop/simple/init.lua'
no file '/usr/local/lib/lua/5.2/loop/simple.lua'
no file '/usr/local/lib/lua/5.2/loop/simple/init.lua'
no file './loop/simple.lua'
no file '/usr/share/newfies-lua/loop/simple.lua'
no file '/usr/share/newfies-lua/libs/loop/simple.lua'
no file '/usr/share/newfies-lua/loop/simple.lua'
no file '/usr/share/newfies-lua/libs/loop/simple.lua'
no file '/usr/local/lib/lua/5.2/loop/simple.so'
no file '/usr/local/lib/lua/5.2/loadall.so'
no file './loop/simple.so'
no file '/usr/local/lib/lua/5.2/loop.so'
no file '/usr/local/lib/lua/5.2/loadall.so'
no file './loop.so'
stack traceback:
[C]: in function 'require'
/usr/share/newfies-lua/libs/fsm_callflow.lua:18: in main chunk
[C]: in function 'require'
/usr/share/newfies-lua/newfies.lua:18: in main chunk


I see that newfies install´s LUA version 5.1 in Ubuntu´s 12 lts. But seems that freeswitch is searching for 5.2.

I have tryed to install lua 5.2 but I got another problem afterwards:
Code: Select all
2014-02-19 09:23:11.744046 [ERR] mod_lua.cpp:199 error loading module 'luasql.postgres' from file '/usr/local/lib/lua/5.2/luasql/postgres.so':
        /usr/local/lib/lua/5.2/luasql/postgres.so: undefined symbol: lua_gettop
stack traceback:
        [C]: in ?
        [C]: in function 'require'
        /usr/share/newfies-lua/libs/dbhandler.lua:21: in main chunk
        [C]: in function 'require'
        /usr/share/newfies-lua/libs/database.lua:22: in main chunk
        [C]: in function 'require'
        /usr/share/newfies-lua/libs/fsm_callflow.lua:19: in main chunk
        [C]: in function 'require'
        /usr/share/newfies-lua/newfies.lua:18: in main chunk


The campaing call works - but none of the Surveys is selected - it plays a record of pin number of voice mail, and nothing works.
Anyone faced this before was able to install a lua version that actually works?

linking 5.1 to a 5.2 give me the same error.

Dunno how to proceed.
Daniel-Nascimento
 
Posts: 2
Joined: Wed Feb 19, 2014 11:36 am

Re: Lua Error in Freeswitch

Postby Daniel-Nascimento » Thu Feb 20, 2014 6:08 am

Nevermind - I have removed every freeswitch info´s from my computer, recompiled it alone after installing lua libs porperly and everything went back to normal.
Newfies and freeswitch working like a charm.
Daniel-Nascimento
 
Posts: 2
Joined: Wed Feb 19, 2014 11:36 am

Re: Lua Error in Freeswitch

Postby areski » Fri Feb 21, 2014 11:42 am

Great news! ;)
areski
Site Admin
 
Posts: 302
Joined: Tue Oct 18, 2011 5:28 pm


Return to Installation

Who is online

Users browsing this forum: Bing [Bot] and 2 guests

cron